Skip to main content

Voice Management

Query available voices

Endpoint

  • Chinese mainland
In the Chinese mainland deployment mode, the endpoint and data storage are both located in the Beijing Region, and the model inference computing resources are limited to the Chinese mainland.HTTP Request: POST https://dashscope.aliyuncs.com/api/v1/services/aigc/multimodal-generation/generationBase URL for SDK calls: https://dashscope.aliyuncs.com/api/v1

Headers

Parameter

Type

Required

Description

Authorization

string

Yes

The Authorization Token is in the format Bearer <your_api_key>, and you must replace <your_api_key> with your actual API Key.

Content-Type

string

Yes

Fixed to application/json.

Request body

modelstring(Required)The model name must be set to MiniMax/speech-2.8-turbo.inputobject(Required)

Properties

actionstring(Required)The operation to perform can be set to get_voice (Get Voice).voice_typestring(Required)The type of voices to query. Supported values include:
  • system: System voices.
  • voice_cloning: Cloned Voice. It can be queried only after it is successfully used for speech synthesis.
  • voice_generation: A voice generated by the Generated Voice interface. Not currently supported.
  • all: All of the above.
  • Query generated voices
curl -X POST 'https://dashscope.aliyuncs.com/api/v1/services/aigc/multimodal-generation/generation' \
  -H "Authorization: Bearer ${DASHSCOPE_API_KEY}" \
  -H 'Content-Type: application/json; charset=utf-8' \
  -d '{
    "input": {
      "action": "get_voice",
      "voice_type": "all"
    },
    "model": "MiniMax/speech-2.8-turbo"
  }'

Response body

request_idstringA unique identifier for the request.outputobject

Properties

system_voiceobject[]An array containing the predefined System Voices.
voice_idstringThe ID of the voice.voice_namestringThe display name for the voice. This is not the ID used in API calls; use voice_id instead.descriptionstring[]A description of the voice.
voice_cloningobject[]An array of your Cloned Voices.
voice_idstringThe ID of the voice.voice_namestringThe display name for the voice. This is not the ID used in API calls; use voice_id instead.descriptionstring[]A description of the voice.created_timestringThe time the voice was created, in yyyy-mm-dd format.
base_respobject
status_codeintegerThe response status code.
  • 0: The request was successful.
  • 2013: An input parameter is invalid.
For more information, see the Error Code List.status_msgstringA detailed message about the status.
  • Query generated voices
{
    "output": {
        "base_resp": {
            "status_code": 0,
            "status_msg": "success"
        },
        "system_voice": [
            {
                "created_time": "1970-01-01",
                "description": [],
                "voice_id": "male-qn-qingse",
                "voice_name": "Youthful Male Voice"
            },
            ...
        ]
    },
    "request_id": "6cd17383-fc97-9445-adad-e4deb16716af"
}

Delete a voice

Endpoint

  • Chinese mainland
In the Chinese mainland deployment mode, both the endpoint and data storage are located in the Beijing Region, and model inference computing resources are limited to the Chinese mainland.HTTP Request: POST https://dashscope.aliyuncs.com/api/v1/services/aigc/multimodal-generation/generationBase URL for SDK calls: https://dashscope.aliyuncs.com/api/v1

Headers

Parameter

Type

Required

Description

Authorization

string

Yes

The Authorization Token is in the format Bearer <your_api_key>. Replace <your_api_key> with your actual API Key.

Content-Type

string

Yes

Fixed to application/json.

Request body

modelstring(Required)The model name. Set the value to MiniMax/speech-2.8-turbo.inputobject(Required)

Properties

actionstring(Required)The operation to perform is delete_voice (delete voice).voice_typestring(Required)Set to: voice_cloning.voice_idstring(Required)The ID of the Cloned Voice to be deleted.
  • Delete a voice
curl -X POST 'https://dashscope.aliyuncs.com/api/v1/services/aigc/multimodal-generation/generation' \
  -H "Authorization: Bearer ${DASHSCOPE_API_KEY}" \
  -H 'Content-Type: application/json; charset=utf-8' \
  -d '{
    "input": {
      "action": "delete_voice",
      "voice_type": "voice_cloning",
      "voice_id": "bailian-test-voice-22"
    },
    "model": "MiniMax/speech-2.8-turbo"
  }'

Response body

request_idstringA unique identifier for the request.outputobject

Properties

voice_idstringThe ID of the voice that was deleted.created_timestringThe creation time of the deleted voice, in yyyy-mm-dd format.base_respobject
status_codeintegerThe response status code.
  • 0: The request was successful.
  • 2013: An input parameter is invalid.
For more information, see the Error Code List.status_msgstringA detailed message about the status.
  • Delete a voice
{
    "output": {
        "base_resp": {
            "status_code": 0,
            "status_msg": "success"
        },
        "created_time": "2026-03-20",
        "voice_id": "bailian-test-voice-21"
    },
    "request_id": "045a4858-c9c4-942d-9fab-57e97a6305c3"
}
Token Plan
Model Playground
Fine-tuning
Model Compression
Statistics and Monitoring
Support